## com.google.appengine.api.xmpp
Class SendResponse

    java.lang.Object
      com.google.appengine.api.xmpp.SendResponse

    public final class SendResponse

extends java.lang.Object

Represents results of sending a message.

Nested Class Summary
`static class` `SendResponse.Status` Possible per-id responses to sending a message.

Constructor Summary
`SendResponse()`

Method Summary
`void` `addStatus(JID jabberId, SendResponse.Status status)`
`java.util.Map<JID,SendResponse.Status>` `getStatusMap()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendResponse

    public SendResponse()

Method Detail

### addStatus

    public void addStatus(JID jabberId,
                          SendResponse.Status status)

### getStatusMap

    public java.util.Map<JID,SendResponse.Status> getStatusMap()